// threadsv.idl : IDL source for threadsv.dll
//

// This file will be processed by the MIDL tool to
// produce the type library (threadsv.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

	[
		object,
		uuid(0FE5EDBD-C401-11D1-9280-00608C86B89C),
		dual,
		helpstring("ISingle Interface"),
		pointer_default(unique)
	]
	interface IGetCurrentThreadID : IDispatch
	{
		[propget, id(1), helpstring("property CurrentThreadId")] HRESULT CurrentThreadId([out, retval] long *pVal);
	};
	
[
	uuid(0FE5EDB0-C401-11D1-9280-00608C86B89C),
	version(1.0),
	helpstring("threadsv 1.0 Type Library")
]
library THREADSVLib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");

	[
		uuid(0FE5EDBE-C401-11D1-9280-00608C86B89C),
		helpstring("Single Class")
	]
	coclass MsjJavademoSingle
	{
		[default] interface IGetCurrentThreadID;
	};
	[
		uuid(0FE5EDC0-C401-11D1-9280-00608C86B89C),
		helpstring("Apartment Class")
	]
	coclass MsjJavademoApartment
	{
		[default] interface IGetCurrentThreadID;
	};
	[
		uuid(0FE5EDC2-C401-11D1-9280-00608C86B89C),
		helpstring("Free Class")
	]
	coclass MsjJavademoFree
	{
		[default] interface IGetCurrentThreadID;
	};
	[
		uuid(0FE5EDC4-C401-11D1-9280-00608C86B89C),
		helpstring("Both Class")
	]
	coclass MsjJavademoBoth
	{
		[default] interface IGetCurrentThreadID;
	};
};
